/* gInfo - Copyright (C) 2004 bakunin - Andrea Marchesini 
 *                                      <bakunin@autistici.org>
 *
 * This source code is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Public License as published 
 * by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * This source code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * Please refer to the GNU Public License for more details.
 *
 * You should have received a copy of the GNU Public License along with
 * this source code; if not, write to:
 * Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef EDITOR_H
#define EDITOR_H

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <libxml/parser.h>
#include <ginfo_plugin.h>
#include <confuse.h>
#include <errno.h>

#define NAME "ginfo-xml2c"
#define AUTHOR "Andrea Marchesini <bakunin@autistici.org>"
#define COPYRIGHT "copyright GPL 2004"

typedef enum
{
  INFO_TEXT,
  INFO_NEWLINE,
  INFO_SPACE,
  INFO_IMAGE,
  INFO_FONT
} xml_font_tag;


typedef struct
{
  char *style;
  char *variant;
  char *weight;
  char *stretch;
  char *scale;
  char *size;
  char *foreground;
  char *background;
  char *justify;
  int underline;
  char *face;

} xml_font;

typedef struct _parser_
{

  xml_font_tag type;

  char *text;
  char *image;

  xml_font font;

  struct _parser_ *next;
} xml_info;


void usage (int);
void fatal (char *, ...);

#endif

/* EOF */
